Name:           playerctl
Version:        2.0.2
Release:        %mkrel 1
Summary:        Command-line MPRIS-compatible Media Player Controller
Group:          Sound
License:        LGPLv3+
URL:            https://github.com/acrisci/playerctl
Source:         %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Playerctl is a command-line utility and library for controlling media players
that implement the MPRIS D-Bus Interface Specification. Playerctl makes it easy
to bind player actions, such as play and pause, to media keys. You can also get
metadata about the playing track such as the artist and title for integration
into statusline generators or other command-line tools.

For more advanced users, Playerctl provides an introspectable library available
in your favorite scripting language that allows more detailed control like the
ability to subscribe to media player events or get metadata such as artist and
title for the playing track.

Examples of players implementing the MPRIS D-Bus Interface Specification include
spotify, vlc, audacious, bmp, cmus, and others.


%package devel
Summary:        Development libraries and header files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description devel
%{summary}.


%package static-devel
Summary:        Static libraries for %{name} development
Group:          Development/Other
Requires:       %{name}-devel = %{version}-%{release}

%description static-devel
%{summary}.

%package docs
Summary:        Documentation related to %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
BuildRequires:  gtk-doc

%description docs
%{summary}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install


%files
%{_bindir}/%{name}
%{_datadir}/man/man1/%{name}.*
%{_libdir}/girepository-1.0/
%{_libdir}/lib%{name}.so.2*

%files devel
%{_datadir}/gir-1.0/Playerctl-2.0.gir
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files static-devel
%{_libdir}/lib%{name}.a

%files docs
%{_datadir}/gtk-doc/


%changelog
* Tue Dec 31 2019 tex - 2.0.2-1pclos2019
- build for pclos
